List files | Moov Documentation
List files
List all the files associated with a particular Moov account.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/files.read scope.
GET
/accounts/{accountID}/files
Request Example
curl -X GET "https://api.moov.io/accounts/{accountID}/files" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.04.00"
Request Example in Go
mc, _ := moov.NewClient()
var accountID string
mc.ListFiles(ctx, accountID)
Request Example in TypeScript
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.files.list({
accountID: "d1133bf2-4853-4436-9a03-23739895ab98",
});
console.log(result);
}
run();
Request Example in PHP
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\